#include <iostream>
using namespace std;

int main() {
  int k;cin>>k;int a,x[1000],y[1000],z,p,p1;;int c[1000];
  for(int i=0;i<k;i++){
    cin>>a;
    for(int j=0;j<a;j++){
      cin>>x[i];
    }
    for(int j=0;j<a;j++){
      cin>>y[i];
    }
  }
  if(k%2!=0){
      cout<<"DA";cout<<endl;
      for(int i = 0; i<k/2;i++){
        cout<<"DA"<<endl;
        cout<<"NE";
      }
    }
    else{
      for(int i = 0; i<k/2;i++){
        cout<<"DA"<<endl;;
        cout<<"NE";
      }
    }
}